sun-java5 (1.5.0-17-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * Reupload to Debian.
  * New upstream release fixes several security issues. Closes: #508194

 -- Andreas Barth <aba@not.so.argh.org>  Sun, 08 Feb 2009 10:05:30 +0100

sun-java5 (1.5.0-17-0ubuntu1) jaunty; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 03 Dec 2008 12:37:38 +0100

sun-java5 (1.5.0-16-2ubuntu2) hardy-proposed; urgency=low

  * New upstream bug fix release. LP: #255011.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 05 Aug 2008 18:40:45 +0200

sun-java5 (1.5.0-16-3) unstable; urgency=low

  * CVE's addressed in this upstream release:
      CVE-2008-3115, CVE-2008-3114, CVE-2008-3113, CVE-2008-3112,
      CVE-2008-3111, CVE-2008-3110, CVE-2008-3109, CVE-2008-3108,
      CVE-2008-3107, CVE-2008-3106, CVE-2008-3105, CVE-2008-3104,
      CVE-2008-3103, CVE-2008-3102.
  * Ignore errors when generating the java shared archive. Addresses: #493085.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 05 Aug 2008 18:13:26 +0200

sun-java5 (1.5.0-16-2) unstable; urgency=low

  * Use recent macro names in the control file for releases that support these.
  * Bump debhelper to v5.

  [ Following changes based on sun-java6 patch by Philipp Hahn]
  * Don't remove alternatives on upgrade. Closes: #465970.
  * debian/control: Add Pre-Depends: debconf for bin-package,
    add Homepage-field.
  * debian/copyright: Reference /usr/share/common-licenses/{LGPL-2,Apache-2.0},
    convert to UTF-8.
  * debian/JB-doc.postinst.in: /chown/s/./:/.
  * debian/*.menu.in: s/Apps/Applications/.
  * debian/mkcopy.sh: Update.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 11 Jul 2008 20:48:33 +0200

sun-java5 (1.5.0-16-1ubuntu1) intrepid; urgency=low

  * Merge with Debian; remaining changes:
    - Regenerate the control file.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 10 Jul 2008 14:06:40 +0000

sun-java5 (1.5.0-16-1) unstable; urgency=low

  * New upstream bug fix release.
    - Fix locking assertion failure. Closes: #402165.
  * Update sv translation for debconf template (Martin Bagge). Closes: #488183.
  * sun-java5-plugin: Update browser dependencies. Closes: #473417.
  * JB-bin.postinst.in: Call java -client -Xshare:dump with -Xmx1m, if the
    memory is available. Closes: #390296.
  * Ignore errors during activation of class data sharing. Closes: #402067.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 10 Jul 2008 14:21:58 +0200

sun-java5 (1.5.0-16-0ubuntu1) intrepid; urgency=low

  * New upstream bug fix release.
  * Fix names for browser alternatives in jinfo file, set browser_plugin_dirs
    unconditionally.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 09 Jul 2008 12:05:01 +0200

sun-java5 (1.5.0-15-1) unstable; urgency=low

  * Upload to unstable.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 26 Mar 2008 01:51:06 +0100

sun-java5 (1.5.0-15-0ubuntu1) hardy; urgency=low

  * New upstream bug fix release.
    This was released today on https://jdk-distros.dev.java.net/developer.html.
    Distributions are not allowed to package the released versions published
    at http://java.sun.com/javase/downloads and have to wait for the
    availability of the DLJ bundles. No need to file reports like LP: #199477.
  * Install all desktop files in /usr/share/applications.
  * sun-java5-jdk: Add java*-sdk provides.
  * Adjust plugin links for xulrunner-1.9.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 26 Mar 2008 00:20:09 +0000

sun-java5 (1.5.0-14-3) unstable; urgency=low

  * Install icons in /usr/share/pixmaps; debhelper silently generates
    wrong code for icons installed in /usr/share/icons. Closes: #462727.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 04 Feb 2008 22:12:40 +0100

sun-java5 (1.5.0-14-2) unstable; urgency=low

  * Fix removal of alternatives. Closes: #436124.
  * README.alternatives: Fix update-java-alternatives example. Closes: #452320.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 25 Jan 2008 17:00:33 +0100

sun-java5 (1.5.0-14-1) unstable; urgency=low

  * Upload to unstable.
  * Provide the -headless versions of the runtime as well.

 -- Matthias Klose <doko@debian.org>  Thu, 24 Jan 2008 23:36:49 +0000

sun-java5 (1.5.0-14-0ubuntu1) hardy; urgency=low

  * New upstream bug fix release.
  * sun-java5-jre: Provide java-runtime packages. LP: #160016.
  * Register plugin for firefox-3.0.

 -- Matthias Klose <doko@debian.org>  Fri, 18 Jan 2008 11:36:27 +0100

sun-java5 (1.5.0-13-1) unstable; urgency=low

  * Upload to unstable.

 -- Matthias Klose <doko@debian.org>  Thu, 27 Sep 2007 23:16:10 +0200

sun-java5 (1.5.0-13-0ubuntu1) gutsy; urgency=low

  * New upstream bug fix release.
  * Fix lintian warnings for menu files.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 27 Sep 2007 14:44:39 +0200

sun-java5 (1.5.0-12-2ubuntu4) gutsy; urgency=low

  * Revert registering the jar binfmt (jexec is shipped with sun-java6
    or newer). LP: #139060.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 12 Sep 2007 19:01:37 +0200

sun-java5 (1.5.0-12-2ubuntu3) gutsy; urgency=low

  * debian/rules: Fix typo in binfmts directory name.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 07 Sep 2007 20:15:59 +0200

sun-java5 (1.5.0-12-2ubuntu2) gutsy; urgency=low

  * Do not depend on libstdc++5 (libdeploy.so used to have this dependency).
  * Register jar binfmt.
  * Changed font configuration to fix CJK font support (Arne Goetje).

 -- Matthias Klose <doko@ubuntu.com>  Fri, 07 Sep 2007 10:58:36 +0200

sun-java5 (1.5.0-12-2ubuntu1) gutsy; urgency=low

  * Add Xb-Npp-xxx tags (Hilario Montoliu). See
    https://blueprints.launchpad.net/ubuntu/+spec/firefox-distro-addon-support.
  * Register the plugin for more browsers.
  * Build packages for the lpia architecture.
  * debian/control: Add XS-Vcs fields.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 30 Jul 2007 17:20:42 +0200

sun-java5 (1.5.0-12-2) unstable; urgency=low

  * sun-java5-bin: Make libnss-mdns a recommendation.

 -- Matthias Klose <doko@debian.org>  Tue, 17 Jul 2007 18:20:51 +0200

sun-java5 (1.5.0-12-1) unstable; urgency=low

  * sun-java5-bin: Depend on libnss-mdns. Adresses: #410116.
  * README.Debian: The plugin is only available for 32bit.
  * Add portuguese translation for debconf messages. Closes: #413927.

 -- Matthias Klose <doko@debian.org>  Fri, 29 Jun 2007 00:49:15 +0200

sun-java5 (1.5.0-12-0ubuntu1) gutsy; urgency=low

  * New upstream bug fix release. Closes: #427055.
  * Update fontconfig.properties for Japanese. Closes LP: #115573.
  * Update fontconfig.properties for Korean. Closes LP: #113494.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 27 Jun 2007 12:22:04 +0200

sun-java5 (1.5.0-11-1ubuntu3) gutsy; urgency=low

  * debian/JB-plugin.postinst.in: s/mozilla-firefox/firefox/
    install alternative to new firefox plugin directory
    (LP: #112994).
  * debian/rules: don't dh_installdirs for mozilla-firefox
    plugins directory anymore.

 -- Alexander Sack <asac@ubuntu.com>  Mon, 25 Jun 2007 10:59:32 +0200

sun-java5 (1.5.0-11-1ubuntu2) feisty; urgency=low

  * Use the unversioned jvm path for the man page alternatives.
    Ubuntu #93619.

 -- Matthias Klose <doko@ubuntu.com>  Tue,  3 Apr 2007 12:25:57 +0200

sun-java5 (1.5.0-11-1ubuntu1) feisty; urgency=low

  * Add menu entry for jconsole. Ubuntu #83384.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 12 Feb 2007 12:58:29 +0100

sun-java5 (1.5.0-11-1) unstable; urgency=low

  * New upstream release.
  * README.alternatives: Fix typo. Closes: #409302.
  * sun-java5-bin: Fix URL for the Unlimited Strength JCE in README.Debian.
    Closes: #408616.
  * Use iceape-browser instead of iceape as alternative dependency for the
    -plugin package.
  * sun-java5-bin: Depend on libstdc++5. ia32-sun-java5-bin: Depend on
    ia32-libs. Ubuntu #71933.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 11 Feb 2007 03:51:01 +0100

sun-java5 (1.5.0-10-3) unstable; urgency=low

  * Another try to silence people nitpicking on package descriptions.
    Closes: #406838.
  * sun-java5-plugin: Add an alternative dependency on iceape-browser.
    Closes: #406954.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Jan 2007 22:41:45 +0100

sun-java5 (1.5.0-10-2) unstable; urgency=medium

  * Install plugins for iceape and iceweasel. Closes: #404808, #401551.
  * Clarify package descriptions. Closes: #404608.
  * Add spanish and russian debconf translations. Closes: #405777, #404746.

 -- Matthias Klose <doko@debian.org>  Sat, 13 Jan 2007 23:48:55 +0100

sun-java5 (1.5.0-10-1.1) unstable; urgency=high

  * Non-maintainer upload, reapplying the changes from 1.5.0-08-1.1, which
    appears to have been overlooked.
  * Move the demo and example files out of /usr/share, to comply with the FHS.
    (Closes: #392415)

 -- Steinar H. Gunderson <sesse@debian.org>  Mon, 25 Dec 2006 12:49:55 +0100

sun-java5 (1.5.0-10-1) unstable; urgency=medium

  * New upstream release. Closes: #393153.
    - CVE-2006-2426 is fixed. Closes: #384734.
    - CVE-2006-5201 is fixed. Closes: #393042.
  * ia32-sun-java5-bin: Depend on ia32-libs. Ubuntu #71933.
  * Don't install javaplugin for obsolete mozilla-snapshot package.
    Closes: #396590.
  * Add german po-debconf template translation (Matthias Julius).
    Closes: #398641.
  * README.alternatives: Fix update-java-alternatives parameters.
    Closes: #394994.
  * Add iceweasel as a browser alternative. Closes #399553.
  * sun-java5-jre: Provide java1-runtime. Closes: #387192.

 -- Matthias Klose <doko@debian.org>  Tue,  5 Dec 2006 23:24:48 +0100

sun-java5 (1.5.0-08-1) unstable; urgency=low

  * New upstream release. Closes: #382919.
  * Update packaging to reflect changed file names and date stamps.
  * The jre and sdk README's clarify the distribution in native
    distribution packaging formats and repository mechanisms.
    Closes: #370296.
  * Update/new translations (sv, fr, da, ja, cs) for the debconf templates.
    Closes: #375745, #377969, #379411, #382931.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 17 Aug 2006 22:19:41 +0200

sun-java5 (1.5.0-07-1) unstable; urgency=low

  * New upstream release.
  * The FAQ for the DLJ is now part of the LICENSE file.

  [Jeroen van Wolffelaar]
  * Drop duplicate uploader name, change my email address
  * Fix typo in package description (Closes: #367493)

  [Matthias Klose]
  * Include copyright templates in the -jre and -bin packages.
    Closes: #367504.
  * Do not use the generated debconf template files. Closes: #367530.
  * Add debian/sharedmimeinfo. Addresses: #367445.
  * JB-java.desktop.in, JB-javaws.desktop.in: Add Encoding=UTF-8.
  * JB-policytool.desktop.in, JB-controlpanel.desktop.in: Remove GNOME
    from categories.
  * fontconfig.properties: Use sazanami fonts instead of kochi.
    Closes: #367573.
  * Fix display of chinese characters. Ubuntu #47045.
  * Provide alternatives for the corba tools. Ubuntu #44966.
  * Give a more verbose error message when the license or the agreement
    question cannot be presented; point to 'dpkg-reconfigure debconf' to
    select a frontend other than noninteractive. Ubuntu #44891, #45292, #46096.
  * Add upstream homepage URL to copyright, regenerate copyright file.
    Closes: #368083.
  * Add French debconf templates translation (Florentin Duneau).
    Closes: #368766.
  * Add the FAQ for the Operating System Distributor License for Java (DLJ).
  * Add konqueror as an alternative dependency in the plugin package.
    Ubuntu #49320.

  [Tom Marble]
  * updated JAVA_HOME.in to reflect the one (1) directory for 
    for the JRE and JDK (thanks to some clever symlinking).
  * Fixed proposed args to update-java-alternatives (UJA) 
    in README.alternatives.in  Addresses: #376888
  * Updated Debian installation documentation (for etch) at
    https://jdk-distros.dev.java.net/debian.html
  * Added Swedish debconf templates translation (Daniel Nylander) 
    Addresses: #375745
  
 -- Matthias Klose <doko@ubuntu.com>  Tue,  6 Jun 2006 15:05:53 +0200

sun-java5 (1.5.0-06-1) unstable; urgency=low

  [ Combined changelog for versions -0 up to -0.9b ]

  * Initial packages, derived from the j2se1.4 packages.
  * Update license (DJL v.1.1) and license questions in the installation
    scripts.
  * "Source" tarball includes both i586 and amd64 bin packages.
  * New binary packages:
    - New empty -plugin package, just installs the plugin alternatives.
    - New empty -fonts package, registering the fonts in defoma.
    - Arch independent src package, the src.zip differs on amd64
      and i386. Check that all src.zip files are equal, besides time stamp
      and build path differences in comments.
    - Keep the -demo packages as a separate package; for license reasons
      -jdk and -demo depend on each other.
    - Split the jre in an arch and arch-indep packages; move all common
      jar files and jar files with the same content into the -jre package.
      Checked at build time to assert equality of the files.
      Move common subdirectories into the -jre package.
    - Build the -doc package (needs downloaded docs).
    - Build ia32 runtime packages for amd64 and ia64.
    - Rename the -src package to -source (Tom Marble).
    - Update dependency/replacement information for the new packages.
  * Unpack the jar files during the build, don't include the pack
    files in the binaries; always use unpack200 from the i586 archive,
    which works on amd64, i386 and ia64.
  * Adjust build dependencies.
  * Adopt fontconfig.properties.src for Debian/Ubuntu.
  * Keep all files but the example and demo files in /usr/lib.
  * Move the sample and demo files into /usr/share/doc/sun-java5-jdk.
  * Use the jpackage naming conventions for the toplevel
    directory (java-1.5.0-sun-1.5.0.06, alias java-1.5.0-sun);
    Use the alias symlink for registering the alternatives.
  * jre package depends on unixodbc; don't depend on unixodbc for the
    ia32 runtime, the 32bit libraries are not packaged.
  * ControlPanel: Fix logic to get the location of the script.
  * Install README.html in the jdk docdir.
  * Use /usr/lib/jvm/.sun-java5.jinfo (description file to work with
    update-java-alternatives). Recommend the java-common package
    including this script.
  * Drop all version information from the dependencies on shared
    libraries; we don't have any information about it anyway.
  * Place the man pages for the jre tools into JAVA_HOME.
  * Ease the generation of the copyright file to include the packaging
    copyright, upstream copyright and third party licenses (Tom Marble).
  * Activate class data sharing for 32bit runtimes using the client
    VM (Juergen Kreileder).
  * Install menu icons in xpm format, convert desktop and menu files
    to use them.
  * Do not provide alternatives for kinit, klist, ktab, also in packages
    heimdal-clients, krb5-user.
  * For the plugins, use the alternative names used by java-package:
    netscape-javaplugin.so, mozilla-javaplugin.so, firefox-javaplugin.so.
  * -jre: suggest the -fonts package (Tom Marble).
  * Unpack the archives using unzip, don't run the native included
    installer.

  * Modified debconf for more user friendly license presentment:
    elaborated dlj.templates and coordinated state machine
    in JB-jre.preinst.in and JB-jdk.preinst.in per debconf-devel(1).
    Thanks to Tom Marble.
  * DLJ related code in JB-jre.config.in and JB-jdk.config.in may
    no longer be necessary (as it is done in preinst) (Tom Marble).

  * Fix charset encoding of license, making the license show in the gnome
    frontend of debconf (Jeroen van Wolffelaar).
  * po-debconf'ize (Jeroen van Wolffelaar).

 -- Matthias Klose <doko@ubuntu.com>  Sun, 14 May 2006 20:30:38 +0200

j2se1.4-i586 (1.4.2.03-1) unstable; urgency=low

  * New upstream version.
    Fixes security vulnerabilities in the Java runtime environment which may
    allow an untrusted applet to elevate its privileges.
    http://sunsolve.sun.com/search/document.do?assetkey=1-26-102003-1
  * Add new dependency package j2re1.4-mozilla-plugin to hold all dependencies
    needed to run the mozilla browser plugin. Taken from Ubuntu.

 -- Matthias Klose <doko@debian.org>  Mon, 28 Nov 2005 09:48:28 +0000

j2se1.4-i586 (1.4.2.02-2) unstable; urgency=low

  * Package rebuild using the xorg packages.
  * Build-depend on xlibs, libasound2.
  * Reflect change of menu directory.

 -- Matthias Klose <doko@debian.org>  Mon, 19 Sep 2005 09:04:43 +0000

j2se1.4-i586 (1.4.2.02-1) testing unstable; urgency=low

  * Update to 1.4.2-02.

 -- Matthias Klose <doko@debian.org>  Tue, 14 Jun 2005 16:51:49 +0200

j2se1.4-i586 (1.4.2.01-2) testing unstable; urgency=low

  * Reset license question seen state in *.config to prevent installation
    problems when license wasn't accepted in the first run (closes: #301064)
  
  * Fix AMD64 plug-in link

 -- Juergen Kreileder <jk@blackdown.de>  Fri, 21 Jan 2005 18:06:01 +0100

j2se1.4-i586 (1.4.2.01-1) unstable; urgency=low

  * Juergen Kreileder <jk@blackdown.de>
    - 1.4.2-01 release
    - Run update-desktop-database
    - Add hidden .desktop for executing JAR files with java

  * Matthias Klose <doko@debian.org>
    - Fix package version.
    - Cleanup debian/rules.
    - Keep HtmlConverter in the sdk package.

 -- Juergen Kreileder <jk@blackdown.de>  Mon, 22 Nov 2004 01:17:41 +0100

j2se1.4-i586 (1.4.2-1) unstable; urgency=low

  * 1.4.2-fcs release

  * Matthias Klose <doko@debian.org>
    - Recommend libasound and xlibs, do not depend on it.
    - Fix locations of gnome menu entries, drop entries for docs.
    - j2re1.4 replaces j2se-common.

  * Juergen Kreileder <jk@blackdown.de>
    - Gnome mime support. JAR files can be started using nautilus.
    - Java web start applications works with Gnome 2.8.
    - Gnome icons for mimetapes.
    - Updated JCE URL's.
    - Don't remove needed empty directories in binary target.

 -- Matthias Klose <doko@debian.org>  Sat,  7 Aug 2004 09:53:29 +0200

j2se1.4-i586 (1.4.1.98-1) unstable; urgency=low

  * First Debian package of upstream release 1.4.2 rc1.

  * Joris Patroons <jopa@kotnet.org>

    - Lots of changes, all coming from blackdown. Read their docs.
    - Fixed minor postinst bug.
    - Original jvm.cfg is now in the i386 subdirectory (we put it in /etc)
    - Handle licenses using debconf.

  * Matthias Klose <doko@debian.org>

    - Merged with the packaging of Joris Patroons <jopa@kotnet.org>
    - Cleanup gnome desktop files.
    - Add menu support for j2re1.4, j2sdk1.4-demo.
    - Add doc-base support for j2re1.4, j2sdk1.4.
    - Add support for mozilla-firefox.

 -- Matthias Klose <doko@debian.org>  Sat, 24 Jan 2004 09:38:09 +0100

j2se1.4-i586 (1.4.2~rc1-1) unstable; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Thu, 18 Dec 2003 22:45:23 +0100

j2se1.4-i586 (1.4.1.01-1.1) unstable; urgency=low

  * Update build dependencies.

 -- Matthias Klose <doko@debian.org>  Sat,  6 Dec 2003 09:09:15 +0100

j2se1.4-i386 (1.4.1-6) unstable; urgency=low

  * Ok, removed the sed4 dependency again, and finally fixed all the
    .desktop files. Many thanks go to Andrew Lau.

 -- Joris Patroons <jopa@kotnet.org>  Sun,  1 Jun 2003 13:37:01 +0200

j2se1.4-i386 (1.4.1-5) unstable; urgency=low

  * Two minor bug fixes: the gnome menu items and a mozilla-cvs link.
    Added build-depends on sed >=4 to fix the former, since I don't
    know perl.

 -- Joris Patroons <jopa@kotnet.org>  Sat, 31 May 2003 18:20:29 +0200

j2se1.4-i386 (1.4.1-4) unstable; urgency=low

  * Fixed a minor bug in debian/rules that copied the Japanese
    manpages over the English ones.

 -- Joris Patroons <jopa@kotnet.org>  Mon, 26 May 2003 00:21:57 +0200

j2se1.4-i386 (1.4.1-3) unstable; urgency=low

  * Fixed a small but nasty bug in the JavaPluginControlPanel script.

 -- Joris Patroons <jopa@kotnet.org>  Thu, 22 May 2003 18:37:01 +0200

j2se1.4-i386 (1.4.1-2) unstable; urgency=low

  * Installation now creates /etc/.java/.systemPrefs/ and two files in it,
    needed by the Blackdown jre. Purge will rm -rf /etc/.java/.

  * Fixed a lot of things in the debian/ dir, unimportant to end users.

 -- Joris Patroons <jopa@kotnet.org>  Sun, 20 Apr 2003 01:57:46 +0200

j2se1.4-i386 (1.4.1-1) unstable; urgency=low

  * Used Stephen's debian/ directory to package j2se 1.4.1 (final),
    compiled with gcc-3.2 for compatibility with sid's mozilla.

 -- Joris Patroons <jopa@kotnet.org>  Mon,  7 Apr 2003 18:44:21 +0200

j2se1.4-i386 (1.4.1.01-1) unstable; urgency=low

  * Adapted to the release.

